Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyFieldDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
                  org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
                      org.codehaus.groovy.tools.groovydoc.SimpleGroovyFieldDoc

All Implemented Interfaces:
  GroovyFieldDoc

    public class SimpleGroovyFieldDoc
    extends SimpleGroovyMemberDoc

Field Summary

Fields inherited from class SimpleGroovyMemberDoc
belongsToClass

Constructor Summary
`SimpleGroovyFieldDoc(java.lang.String name, GroovyClassDoc belongsToClass)`

Method Summary
`java.lang.Object` | `constantValue()`
`java.lang.String` | `constantValueExpression()`
`boolean` | `isTransient()`
`boolean` | `isVolatile()`
`void` | `setConstantValueExpression(java.lang.String constantValueExpression)`
`void` | `setType(GroovyType type)`
`GroovyType` | `type()`

Methods inherited from class SimpleGroovyMemberDoc
commentText, firstSentenceCommentText, isSynthetic

Methods inherited from class SimpleGroovyAbstractableElementDoc
isAbstract, setAbstract

Methods inherited from class SimpleGroovyProgramElementDoc
addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleGroovyFieldDoc

    public SimpleGroovyFieldDoc(java.lang.String name, GroovyClassDoc belongsToClass)

Method Detail

### constantValue

    public java.lang.Object constantValue()

### constantValueExpression

    public java.lang.String constantValueExpression()

### isTransient

    public boolean isTransient()

### isVolatile

    public boolean isVolatile()

### setConstantValueExpression

    public void setConstantValueExpression(java.lang.String constantValueExpression)

### setType

    public void setType(GroovyType type)

### type

    public GroovyType type()

Groovy Documentation